<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Contest</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">


    <!-- Site CSS -->
    <link rel="stylesheet" href="../static/style.css" th:href="@{/style.css}">
    <!-- Responsive CSS -->
    <link rel="stylesheet" href="../static/responsive.css" th:href="@{/responsive.css}">
    <!-- Custom CSS -->
    <link rel="stylesheet" href="../static/custom.css" th:href="@{/custom.css}">
    <script src="../js/modernizr.js" th:href="@{/modernizr.js}"></script> <!-- Modernizr -->

    <link rel="stylesheet" href="../static/slideshow.css" th:href="@{/slideshow.css}">
    <link rel="stylesheet" href="../static/demo.css" th:href="@{/demo.css}">
    <link rel="icon" type="image/x-icon" href="/images/favicon.ico">
    <link rel="stylesheet" href="../static/user-info.css" th:href="@{/user-info.css}">
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
</head>
<body>

<nav  th:replace="/fragments/organizer-navbar.html :: navbar"></nav>


<div style="margin-top: 90px; height: 40%; background: url('https://images.unsplash.com/photo-1543039717-b4d407223b4c?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=1802&q=80');

    background-size: cover;">
    <div class="heading">
        <div class="gallery-menu text-center row">
            <div class="col-md-12">
            </div>
        </div>
    </div>
</div>

<div class="container emp-profile">
    <div class="row">
        <div class="col-md-4">
            <div>
                <p class="contest-info">
                    <span class="contest-info" th:text="'Title: ' + ${contest.getTitle()}">Title:</span></p>
            </div>
            <div>
                <p class="contest-info">
                    <span th:text="'Category: ' + ${contest.getCategory().getName()}"> Category:</span></p>
            </div>
        </div>
        <div class="col-md-8">
            <div>
                <p class="contest-info"><span th:text="#{phase.one}"></span>
                    <span th:text="${#dates.format(contest.getPhaseOneStart, 'dd-MMM-yyyy')}">Start</span>
                    <span> / </span>
                    <span th:text="${#dates.format(contest.getPhaseOneEnd, 'dd-MMM-yyyy')}">End</span></p>
            </div>
            <div>
                <p class="contest-info"><span th:text="#{phase.two}"></span>
                    <span th:text="${#dates.format(contest.getPhaseTwoStart, 'dd-MMM-yyyy')}">Start</span>
                    <span> / </span>
                    <span th:text="${#dates.format(contest.getPhaseTwoEnd, 'dd-MMM-yyyy')}">End</span></p>
            </div>
        </div>
        <div class="col-md-2">
            <div>

            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div style="border-top: 1px solid black">
                <h5 class="contest-info" style="text-align: center">Description</h5>
            </div>
            <div class="contest-info" th:text="${contest.getDescription()}">
                your story your story your story your story your story your story your story your
                story
                your
                story your story your story your story your story
                story your story your story your story your story
                story your story your story your story your story
                story your story your story your story your story
                story your story your story your story your story
                story your story your story your story your story
                story your story your story your story your story
                story your story your story your story your story
            </div>
        </div>

    </div>
</div>
<div style="width: 100%">
    <h5 style="text-align: center">Contest photos</h5>
</div>
<div class="row-contest">
    <div class="column" th:each="photo, photoCount : ${photos}">
        <div class="image-title">
            <input type="hidden" id="yourId" th:value="${photo.getId()}"/>
            <div >
                <img src="img_nature.jpg" onclick="openModal();currentSlide(1)"
                     class="hover-shadow cursor img-grid" th:src="${photo.getPhoto()}" alt="contestEntry">
                <a href="#" th:href="@{/photos/{id} (id=${photo.getId()})}">
                    <figcaption th:utext="#{title.dynamic(${photo.getTitle()})}"> Title</figcaption> </a>
                <a href="#" th:href="@{/users/{id} (id=${photo.getUser().getId()})}">
                    <figcaption th:text="'Author: ' + ${photo.getUser().getUsername()}"> Contest
                    </figcaption>
                    <a href="#" th:href="@{/photos/{id} (id=${photo.getId()})}">
                        <button type="button" class="button">Vote</button>
                    </a>
                </a>

                <p >

            </div>
        </div>
    </div>
</div>


<div id="myModal" class="modal">
    <span class="close cursor" onclick="closeModal()">&times;</span>
    <div class="modal-content">
        <div class="mySlides" th:each="photo : ${photos}">
            <div>
                <div class="numbertext">
                </div>
                <div class="image-container">
                    <img src="img_nature_wide.jpg" class="img-slideshow" th:src="${photo.getPhoto()}">
                </div>

                    <figcaption class="text-h3" th:href="@{/photos/{id} (id=${photo.getId()})}" th:text="${photo.getTitle()}"> Title</figcaption>
                    <figcaption class="text-h3" th:text="'Author: '+ ${photo.getUser().getUsername()}"> Author
                    </figcaption>
                    <figcaption class="text-h3" th:text="${photo.getStory()}"> Story</figcaption>

            </div>
        </div>

        <a class="prev" onclick="plusSlides(-1)">&#10094;</a>
        <a class="next" onclick="plusSlides(1)">&#10095;</a>

    </div>
</div>

<script>
    function openModal() {
        document.getElementById("myModal").style.display = "block";
    }

    function closeModal() {
        document.getElementById("myModal").style.display = "none";
    }

    var slideIndex = 1;
    showSlides(slideIndex);

    function plusSlides(n) {
        showSlides(slideIndex += n);
    }

    function currentSlide(n) {
        showSlides(slideIndex = n);
    }

    function showSlides(n) {
        var i;
        var slides = document.getElementsByClassName("mySlides");
        var dots = document.getElementsByClassName("demo");
        var captionText = document.getElementById("caption");
        if (n > slides.length) {
            slideIndex = 1
        }
        if (n < 1) {
            slideIndex = slides.length
        }
        for (i = 0; i < slides.length; i++) {
            slides[i].style.display = "none";
        }
        for (i = 0; i < dots.length; i++) {
            dots[i].className = dots[i].className.replace(" active", "");
        }
        slides[slideIndex - 1].style.display = "block";
        dots[slideIndex - 1].className += " active";
        captionText.innerHTML = dots[slideIndex - 1].alt;
    }
</script>

<script defer src="https://use.fontawesome.com/releases/v5.0.8/js/all.js"></script>
</body>
</html>